Version 1.45.1 - 7th July 2026
- New: UAE Pro now includes translations for 15 additional languages - Indonesian, Brazilian Portuguese, Russian, Italian, Turkish, Japanese, Simplified Chinese, Polish, Arabic, Swedish, Vietnamese, Hebrew, Thai, Greek, and Czech - alongside refreshed Dutch, French, Spanish, and German, enhancing multilingual accessibility.
- Improvement: Compatibility with latest Elementor and Elementor Pro 4.2 version.
- Fix: Posts - Taxonomy filter dropdown showed no options in the Elementor editor.

Version 1.45.0 - 25th June 2026
- New: Introduced MCP (Model Context Protocol) settings and Abilities API for AI-powered page building and management. (https://ultimateelementor.com/docs/uae-ai-tools-connect-ai-to-your-elementor-site/)
- Fix: Posts - Excessive taxonomy queries on the frontend could trigger server errors on sites with a large number of terms.

Version 1.44.4 - 3rd June 2026
- Improvement: Compatibility with latest Elementor and Elementor Pro 4.1 version.
- Fix: Integrations - Settings could not be saved on WordPress installations in a subdirectory.
- Fix: Nav Menu - Fatal error on translated frontend pages when used with TranslatePress on PHP 8.0+.

Version 1.44.3 - 29th April 2026
- Fix: WPML - Table widget cell links not recognized as translatable links in the Advanced Translation Editor.

Version 1.44.2 - 2nd April 2026
- Improvement: Compatibility with latest Elementor and Elementor Pro 4.0 version.
- Improvement: Strengthened plugin security and updated required package dependencies.
- Fix: Table - PHP 8.1 "Undefined array key" warning when importing CSV files with uneven column counts.

Version 1.44.1 - 26th February 2026
- Fix: Advanced Search - Featured Images toggle (Show/Hide) setting not being respected in AJAX search results.

Version 1.44.0 - 24th February 2026
- New: Added UAE Duplicator extension that allows duplicating pages, posts, headers, footers, and custom blocks with ease.
- Fix: Google Map and Business Reviews widgets now work correctly when the Google API key has HTTP Referrer (website/domain) restrictions applied.
- Fix: Price Box - Hover animations not working properly for list styles.

Version 1.43.1 - 16th February 2026
- Improvement: Post Widget -  Added date month and day filter to get date as per user need.
- Fix: Content Toggle - Switcher not coming correct in round 2 style.

Version 1.43.0 - 10th February 2026
- New: Advanced Search Widget – Implemented a fully AJAX - enabled search widget with live results and dynamic filtering for an enhanced search experience.

Version 1.42.4 - 5th February 2026
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.35 version.

Version 1.42.3 - 19th January 2026
- Improvement: Package dependencies updated for better security.
- Fix: Advance Navigation menu - Border color not working for submenu when action is redirect to link.
- Fix: Fixed post fetching issues for categories with special characters.
- Fix: FAQ Schema now strips HTML tags from answers to prevent them from appearing in Google Rich Results.

Version 1.42.2 - 6th January 2026
- New: WordPress Command Palette Integration.
- Improvement: Added support for Cloudflare Turnstile in Login and Registration form widgets.
- Fix: Modal Popup - Country code field not appearing when using SureForms form.
- Fix: Google Map - Custom styling option not working.

Version 1.42.1 - 22nd December 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.34 version.
- Fix: Posts carousel now maintains correct column structure when number of posts is less than configured columns

Version 1.42.0 - 1st December 2025
- Improvement: Introduced a new Woo - Thank You widget for customizing order confirmation pages.

Version 1.41.1 - 11th November 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.33 version.

Version 1.41.0 - 4th November 2025
- Improvement: Introduced a new SVG Animator for smoother and more flexible SVG animations.
- Fix: Replaced deprecated google.maps.Marker API in the Google Maps widget to remove browser console warnings and ensure future compatibility.

Version 1.40.5 - 1st October 2025
- Improvement: Video - Added support for Rumble platform.
- Improvement: Video Gallery - Added support for Rumble platform.
- Improvement: Video Gallery – Added new hover effects, improved filterable tabs & related customization settings.
- Fix: Posts – Added support for non-Latin characters in filterable tabs and excerpts

Version 1.40.4 - 15th September 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.32 version.
- Improvement: Updated required packages to the latest stable versions for improved compatibility and security.
- Fix: Video - Resolved issue of accessing array offset as a null value to prevent warnings.
- Fix: Video - Added additional check while fetching Vimeo response to prevent fatal errors.

Version 1.40.3 - 11th September 2025
- This update addressed a security bug. Please make sure you are using the latest version on your website.

Version 1.40.2 - 1st September 2025
- Fix: Content Toggle -  Issue with Element Cache setting if enable.
- Fix: FAQ Schema - SVG Icon color was not working.
- Fix: Price Table - Icon size no longer shrinks when content length increases.

Version 1.40.1 - 4th August 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.31 version.

Version 1.40.0 - 31st July 2025
- New: Sticky Header functionality.
- Improvement: Added filter to change empty note for Table of content widget.
- Improvement: Modal Popup - Advanced Rule - Show after X page views
- Improvement: Modal Popup - Advanced Rule - Show after X Sessions
- Fix: Advanced Navigation Menu - Added support to "Open in new tab" setting for WordPress deafult menu.
- Fix: Login Form - Emails not getting accepted like WordPress login system.
- Fix: Strengthened codebase with security improvements.

Version 1.39.9 - Thursday, 17th July 2025
- Improvement: Modal Popup - Added new control, On Scroll Percentage based trigger.
- Improvement: Modal Popup - Added new control, On Scroll to Element based trigger.
- Improvement: Video Widget - Added support for Bunney.net stream support.
- Improvement: Video Gallery - Added support for Bunney.net stream support.
- Improvement: Woo Products - Introduced a setting for Image Resolution to allow loading images in the desired size for better performance and control.
- Improvement: Optimize performance with the new “Deactivate Unused Widgets” option.
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.30 version.
- Fix: Form Styler - Resolved Accessibility Issues in Form styler Widgtes.

Version 1.39.8 - Friday, 13th June 2025
- Improvement: Optimized codebase and improved code quality.

Version 1.39.7 - Wednesday, 28th May 2025
- Improvement: Login form - Added reCAPTCHA support to protect your login form from spam.
- Improvement: Social Share - Added Support for Bluesky Social Media

Version 1.39.6 - Thursday, 22nd May 2025
- Improvement: Social Share - Threads support added.

Version 1.39.5 - Wednesday, 14th May 2025
- Added: Accessibility support for Info box widget when link is added on complete box.
- Improvement: Updated Dashboard translation from Armaturenbrett to Dashboard in German.
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.29 version.
- Fix: Post Widget - Warning when there is only one category and the WPML plugin is active.
- Fix: Add to Cart - Remove default Underline coming on add to cart button.
- Fix: Display Conditions - PHP error in display conditions when no object was passed to get_class().

Version 1.39.4 - Thursday, 24th April 2025
- Fix: Resolved the issue for function _load_textdomain_just_in_time was called incorrectly in WP 6.8.

Version 1.39.3 - Wednesday, 16th April 2025
- Improvement: Enhanced the codebase to strengthen security measures.
- Fix: Display Conditions - Fixed an issue where ACF checkbox and true/false field type values were not displayed correctly.

Version 1.39.2 - Wednesday, 9th April 2025
- Fix: Buttons now correctly load the default color and font settings as defined in the Theme Customizer.

Version 1.39.1 - Friday, 4th April 2025
- Tweak: French language support has been held back temporarily due to incorrect translations showing in Spanish.

Version 1.39.0 - Tuesday, 1st April 2025
- New: Ultimate Addons for Elementor Pro now includes translations for Portuguese, Netherlands, French, Spanish, and German enhancing multilingual accessibility.
- Improvement: Business Reviews - Added support to the New Google Place API.

Version 1.38.4 - Wednesday, 19th March 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.28 version.
- Fix: Woo - Checkout - Order review AJAX failure when the widget is used inside Elementor's Themer Builder via the Post Content widget.

Version 1.38.3 - Thursday, 13th March 2025
- This update addressed a security bug. Please make sure you are using the latest version on your website.
- Fix: Display Conditions - Resolved a fatal error caused by the missing MaxMind\Db\Reader class when applying geolocation conditions in Elementor.

Version 1.38.2 - Thursday, 6th March 2025
- Improvement: Particle Backgrounds - Optimized script loading for better consistency across environments.
- Improvement: Removed 'elementor-button-wrapper' to enhance performance and optimize the DOM structure.
- Fix: Advanced Navigation Menu - Resolved submenu accessibility issue for keyboard navigation.
- Fix: Posts Widget - Added a WP_Error check to ensure proper taxonomy handling.
- Fix: User Registration Form - Phone number validation now rejects spaces and invalid characters.

Version 1.38.1 - Tuesday, 18th February 2025
- Fix: Countdown Timer - Resolved display issue with saved template shortcode in Elementor, particularly after duplicating the widget.
- Fix: Gravity From Styler - Resolve issue with accessibility in checkbox and radio form elements.
- Fix: Image Gallery - Filterable Tabs now show images correctly for categories with special characters in their names.
- Fix: Image Gallery - Resolved an issue where multiple galleries did not display slides correctly in responsive view.

Version 1.38.0 - Wednesday, 5th February 2025
- New: Added NPS Survey to gather your valuable feedback for the UAE Pro!
- Fix: "Copy All" and "Paste All" functionality to work properly.
- Fix: Image Gallery - Auto-scrolling now resumes correctly after closing the Light box.
- Fix: Image Gallery - Resolved the alignment of carousel navigation arrows with the BuddyBoss Theme.
- Fix: Navigation Menu – Resolved the issue with Hamburger Menu alignment not working correctly for Flyout and Expanded layouts.
- Fix: Welcome Music - Resolved PHP warning when Media Library is selected as the Music source.

Version 1.37.5 - Monday, 20th January 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.27 version.
- Fix: Hotspot - Resolved issue of accessing array offset as a null value to prevent warnings.
- Fix: Posts - The Post Grid Filter now correctly displays translated category terms with WPML in secondary languages.
- Fix: Woo - Checkout - Order review AJAX call failing when widget added inside Elementor's Themer builder.

Version 1.37.4 - Monday, 6th January 2025
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.26 version.
- Fix: Icons for horizontal alignment options in BA Slider widget now appear correctly.

Version 1.37.3 - Monday, 9th December 2024
- Improvement: Enhanced user interface for better accessibility and a more streamlined user experience.
- Improvement: Added WPML compatibility for some widgets to handle translations for content sections template.
- Fix: Navigation Menu – Submenu now stays open when clicked until you close it or click another menu item.
- Fix: Posts - Ensured posts from the same category are displayed correctly when the Responsive Support feature is enabled.
- Fix: Price box - Resolved hover animation issue in the widget.
- Fix: Deprecated PHP error related to FILTER_SANITIZE_STRING.

Version 1.37.2, Saturday, 30th November 2024
- Fix: Conflict with site customizer style.

Version 1.37.1, Friday, 29th November 2024
- Improvement: Added UAE Lite free version compatibility.

Version 1.37.0, Monday, 25th November 2024
- Improvement: Compatibility with WordPress 6.7.
- Improvement: Improved widget rendering for faster page load times.
- Improvement: Revamped settings page UI/UX. A redesigned interface for better usability and seamless navigation.
- Fix: Load text domain during init action to prevent early translation loading error.

Version 1.36.41, Thursday, 31st October 2024
- Fix: Modal Popup - Vimeo thumbnail is now displayed correctly in the popup.
- Fix: WPML issue with login form redirection URLs to enhance translation support.

Version 1.36.40, Thursday, 24th October 2024
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.25 version.
- Fix: Navigation Menu - Anchor links now correctly scroll to sections/container when submenu items with IDs are clicked.

Version 1.36.39, Tuesday, 8th October 2024
- Improvement: Navigation Menu - Improved accessibility for Flyout menu layout.
- Fix: Business Reviews - An undefined array key warning occurs for autoplay speed setting.
- Fix: Navigation Menu – Active color now changes correctly when moving between pages.
- Fix: Icons displaying correctly on frontend.

Version 1.36.38, Wednesday, 25th September 2024
- This update addressed a security bug. Please make sure you are using the latest version on your website.
- Fix: Login Form - Updated Google Sign In as per latest Google guidelines.
- Deprecated: Login Form - Removed Social login border-radius & box shadow options.

Version 1.36.37, Tuesday, 3rd September 2024
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.24 version.
- Improvement: Implemented widget output caching to enhance page performance.
- Improvement: Provided 'Automatically Align Buttons' to the Woo Products & Posts widget.
- Improvement: Navigation Menu - The dropdown menu now extends to full width when the navigation menu container is set to full width on smaller screens.
- Improvement: Posts - Optimized term fetching by context to boost server performance.
- Improvement: Video Gallery - Added missing timezone to 'uploadDate' datetime property.
- Fix: Info Box - A warning occurred for the overall alignment setting when no image type is added.
- Fix: Navigation Menu - Console error for undefined property ‘left’.
- Fix: Navigation Menu - Active color not applying for dynamic links in custom menu items.
- Fix: Twitter - Tweets are now displaying correctly!
- Fix: Removed dependency on waypoints.js and transition to IntersectionObserver().

Version 1.36.36, Thursday, 1st August 2024
- Improvement: Google Map - Updated deprecated marker clustering solution for better performance.
- Fix: Before-After Slider - Overlay transparency to work when the mouse hovers over it.
- Fix: Video - Special characters appearing in HTML attributes.
- Fix: Icon Position set to 'Before' was not working in some modules.

Version 1.36.35, Monday, 15th July 2024
- Improvement: Compatibility with latest WordPress version 6.6.
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.23 version.
- Improvement: Hardened the security of plugin.
- Improvement: Table of Contents - Refined jQuery selector for enhanced element targeting.
- Fix: Display Conditions - PHP warning for ACF field when trying to access array offset on false.
- Fix: Info Box - An undefined array key warning occurs for overall alignment setting.
- Fix: Resize JS throwing console error.

Version 1.36.34, Monday, 17th June 2024
- Improvement: Improved code enforcement of widgets in edit mode.

Version 1.36.33, Tuesday, 4th June 2024
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.22 version.
- Improvement: Improved code enforcement of widgets in edit mode.

Version 1.36.32, Friday, 31st May 2024
- Addressed a security bug.

Version 1.36.31, Wednesday, 17th April 2024
- Improvement: Compatibility with latest WordPress version 6.5
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.21 version.
- Improvement: FAQ Schema - Added unique IDs to faq items to prevent duplicates.
- Improvement: Updated the Twitter icons within widgets.
- Table: Improved Security.

Version 1.36.30, Monday, 11th March 2024
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.20 version.
- Improvement: Compatibility with PHP 8.3
- Improvement: Business Reviews - Added a Sort by filter, allowing users to view the latest and most relevant reviews.
- Improvement: Display Conditions - Added support for Grid and Container.
- Improvement: Image Gallery - Added thumbnail and overlay border radius options.
- Improvement: Particle Backgrounds - Added support for Grid and Container.
- Improvement: Party Propz -  Added support for Grid and Container.
- Improvement: Added fill colour to buttons with icons for proper colour reflection.
- Fix: Navigation Menu - Multistep submenu fails to display when a border radius is applied to dropdown.

Version 1.36.29, Monday, 29th January 2024
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.19 version.
- Fix: Gravity Forms Styler - Button style and typography controls not working.

Version 1.36.28, Wednesday, 27th December 2023
- Fix: Gravity Forms Styler - Button style controls not working.
- Fix: Video - Fatal error due to undefined datetime function.

Version 1.36.27, Wednesday, 20th December 2023
- Improvement: Video - Added missing timezone to 'uploadDate' datetime property.
- Improvement: Twitter Feed - Updated the Logo.
- Fix: Woo - Checkout -  Clicking "Next" scrolls the page to the bottom for Multistep layout.
- Fix: Cross Site Copy Paste not working on cross domains.

Version 1.36.26, Thursday, 30th November 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.18 version.
- Improvement: Twitter Feed - Added support to Twitter version 2 API.
- Fix: Posts - UI display issue for embedded iframe code in page block excerpts.
- Fix: Video Gallery - Wistia video thumbnails now display correctly.
- Fix: Video - Wistia video thumbnails now display correctly.

Version 1.36.25, Thursday, 9th November 2023
- Improvement: Compatibility with latest WordPress version 6.4
- Improvement: User Registration Form - Accessibility support to the form label attribute.
- Fix: Posts - Posts view with proper ellipses display.
- Fix: Posts -  When setting a query offset above 0, pagination wasn't functioning properly.
- Fix: Navigation Menu - Console error for undefined property 'left'. 
- Fix: Navigation Menu - Console error for undefined property 'distance_from_menu'. 
- Fix: Woo Products - Pagination encountered problems when the query offset was set above 0.

Version 1.36.24, Thursday, 19th October 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.17 version.
- Fix: Posts - Masonry layout problem with delayed jQuery loading.
- Fix: Price box - Stripped layout now functions correctly when Tooltip is enabled.
- Fix: Table - Reverted inline editing code due to issues with repeater field content.

Version 1.36.23, Monday, 9th October 2023
Fix: Posts - Creative Feed Skin Layout pagination not working for filtered tabs.
Fix: Navigation Menu - The submenu container opens without hovering over the parent menu item.
Fix: Navigation Menu - The Dropdown Submenu no longer disappears when you add a top distance.

Version 1.36.22, Thursday, 28th September 2023
- Fix: Login Form - Google login not working.
- Fix: Posts - Make the post excerpt length match the specified value.
- Fix: Posts - No featured image for post adjusted the News skin layout to its default state.
- Fix: Posts - A disabled image ratio causes the News skin layout to break when in responsive mode.
- Fix: Modal Popup - Fatal PHP error while using content type Vimeo.

Version 1.36.21, Friday, 22nd September 2023
- Improvement: User Registration Form - Enhanced security by providing access to New User Role setting only for Administrator role. Props to Patchstack for discreetly reporting this to our team.
- Fix: Posts - Masonry layout posts are loading on the infinity scroll.

Version 1.36.20, Monday, 11th September 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.16 version.
- Improvement: Compatibility with WordPress VIP Go rules.
- Improvement: Resloved compatibility with PHP 8.2 dynamic property creation deprecation notice.
- Fix: Posts - Featured post image broken in skin "News" on responsive devices.

Version 1.36.19, Tuesday, 22nd August 2023
- Improvement: Compatibility with latest WordPress version 6.3.
- Improvement: Compatibility with PHP 8.1.
- Improvement: Woo - Mini Cart - Removed the extra "No products in cart" message from cart with Astra theme.
- Fix: Posts - Showing additional optional category in taxonomy badge when WPML is activated.
- Fix: Posts - When Filterable Tabs option is enabled, AJAX pagination will be applied by default.
- Fix: Video Gallery - Inline padding being added to the filterable tabs in responsive support.
- Fix: Woo Products - If modern skin is selected cart value not updating on add to cart action.
- Fix: Woo Products - Carousel layout does not show correct number of products while page is loading.

Version 1.36.18, Thursday, 27th July 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.15 version.
- Fix: Modal Popup - Issue with Vimeo private/unlisted videos.
- Fix: Posts - News skin layout breaking for responsive devices.
- Fix: Party Propz - Conflicts with Elementor's Icon widget.
- Fix: Video - Issue with Vimeo private/unlisted videos.
- Fix: Video Gallery - Show Vimeo private/unlisted videos if videos are set to play inline.
- Fix: Woo - Add To Cart - Console error is generated by widget in the page editor.

Version 1.36.17, Thursday, 15th June 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.14 version.
- Fix: Contact Form 7 Styler -  Functionality to make multiple column layout not working.
- Fix: Particle Backgrounds - Particles stopped appearing when the website first loaded.
- Fix: Social Share - Alignment setting not working on responsive devices.
- Fix: Table - Sticky header functionality not working properly.
- Fix: Navigation Menu - Sub-menu content type container and section not going full width within the Flex-box container.
- Fix: Video Gallery - Responsive support for Filterable Tabs does not work properly when there is a special character in the category name.
- Fix: Video - Self Hosted videos not playing in private browser.
- Fix: Woo Products - An undefined array key warning occurs for mobile devices and tablets.

Version 1.36.16, Wednesday, 10th May 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.13 version.

Version 1.36.15, Wednesday, 5th April 2023
- Improvement: Compatibility with latest Elementor and Elementor Pro 3.12 version.
- Fix: Before-After Slider - Fixed a large gap problem between sliders for sections.
- Fix: Posts - Filterable tabs category names are broken in responsive mode.
- Fix: Video Gallery - Fixed the broken filterable tabs category names in responsive mode.
- Fix: Video Gallery - Filterable Tabs do not work properly when there is space or a special character in the category name.
- Fix: Video Gallery - Fatal PHP error while using private Vimeo videos.
- Fix: Removed Elementor deprecated functions and replaced with latest functions.

Version 1.36.14, Tuesday, 3rd January 2023
- Improvement: Off-Canvas - Trigger available on keyboard.
- Improvement: Navigation Menu - Accessibility error corrected [aria-hidden=true].
- Fix: Navigation Menu - Console error when dropdown width equals Container.
- Fix: Video Gallery - Default tab on page loading setting does not work when category name has special character.
- Fix: Woo - Mini Cart - Quantity Plus and Minus layout problem with Astra theme.

Version 1.36.13, Thursday, 24th November 2022
- Improvement: Table - Sticky header functionality conflicts with the sticky header of the Astra theme.
- Fix: Before-After Slider - Widget disappears on window resize when inserted in flex-container.
- Fix: Gravity Form Styler - Dropdown field icon not showing properly.
- Fix: Navigation Menu - Mobile menu is not working when widget is inserted in Container.
- Fix: Video - Enable Mute option is not working for self-hosted videos when external URL is used.
- Fix: Video - Fatal error when using private Vimeo videos.
- Fix: Video - PHP error when unable to fetch Vimeo video thumbnail data.
- Fix: Display Conditions - PHP fatal error with specific timezone.
- Fix: Posts - Grey overlay appearing on click of filterable tabs.

Version 1.36.12, Friday, 21st October 2022
- Compatibility with latest Elementor and Elementor Pro 3.8 version.

Version 1.36.11, Wednesday, 5th October 2022
- New: Rollback to previous versions feature.
- Improvement: Navigation Menu - Added accessibility support to the submenu.
- Fix: Countdown Timer - Spacing, padding between digits and labels not working.
- Fix: Display Conditions - Console error after enabling the switcher.
- Fix: Image Gallery - Breaks editor UI when Filterable Tabs is enabled.
- Fix: Image Gallery - Images appear larger after page refresh.
- Fix: Image Gallery - Updated accessibility rel attribute for links.
- Fix: Instagram Feed - Invalid App error showing on frontend.
- Fix: Navigation Menu - Slide up animation not working.
- Fix: Video Gallery - Breaks editor UI when Filterable Tabs is enabled.
- Fix: Welcome Music - Play, pause buttons appear at the same time when a new SVG is uploaded.
- Fix: Woo - Add To Cart - Able to add a variable product to the cart even if the variation is not selected.
- Fix: Woo - Products - Removed extra double quotes in HTML attributes.

Version 1.36.10, Thursday, 25th August 2022
- Fix: Fancy Heading - Module not visible on frontend after latest update.
- Fix: Video - Private videos from Vimeo don't work.
- Fix: Video Gallery - Console error when Filterable Tabs is enabled after latest update.

Version 1.36.9 - Tuesday, 23rd August 2022
- Improvement: Display Conditions - Creating cookies only when the feature is enabled.
- Improvement: Nav Menu - Added WPML translation support for toggle button.
- Fix: Cross-Site Copy Paste - Error while saving after using copy/paste styling and presets feature with Elementor
- Fix: Party Propz - Alignment not working properly with the Section/Column.
- Fix: Posts - Console error in the editor when used in templates.
- Fix: Posts - Taxonomy Badge is not showing when Query Type set to Main Query.

Version 1.36.8 - Thursday, 7th July 2022
- Compatibility with latest Elementor and Elementor Pro version.

Version 1.36.7 - Tuesday, 14th June 2022
- Improvement: Content Toggle - Flex container template support.
- Improvement: Cross-Site Copy Paste - Flex container support.
- Improvement: FAQ - Flex container template support.
- Improvement: Modal Popup - Flex container template support.
- Improvement: Nav Menu - Flex container template support.
- Improvement: Off-canvas - Flex container template support.
- Fix: Included template file with the full path to fix the fatal error.
- Fix: Woo - Products - Order by functionality not working properly

Version 1.36.6 - Tuesday, 3rd May 2022
- Improvement - Compatibility with Elementor Pro v3.7
- Fix: Advanced Heading - Line with image separator not working on frontend.
- Fix: Multi-Buttons - Fixed icon render issue due to typography control inside the repeater.
- Fix: Woo - Products - Fixed The products on the frontend are different from what seen on the editor.

Version 1.36.5 - Thursday, 24th March 2022
- Improvement: Modal Popup - Added secure attribute to the cookies.
- Fix: Console error while editing pages with elementor when using Workreap-Core plugin.
- Fix: FAQ - Accordion tab icon size issue.
- Fix: FAQ - Fixed PHP fatal error.
- Fix: Posts - PHP errors when using PHP 8.1.
- Fix: Price box - Feature list icon size issue.
- Fix: Timeline - Items already highlighted when used in tabs.
- Fix: Video - Fixed PHP fatal error.
- Fix: Video - Removed extra space around self hosted video on safari browser.
- Fix: Video Gallery - Fixed PHP fatal error.
- Deprecated: Removed elementor deprecated functions and replaced with latest functions.
  Now to work with UAE, Elementor minimum version 3.5.0 or higher will be required.

Version 1.36.4 - Tuesday, 8th February 2022
- Fix: Display Conditions - PHP warning when using the older versions of PHP.
- Fix: Image Gallery - Image caption not translated using WPML.

Version 1.36.3 - Tuesday, 1st February 2022
- Compatibility with Elementor Pro version 3.6
- Fix: Display Conditions - ACF field conditions not working.
- Fix: Woo - Checkout - Shipping method not updating when zip code is changed.

Version 1.36.2 - Tuesday, 25th January 2022
- Fix: Before After Slider - Before After labels are shown even if they are empty.
- Fix: Display Conditions - ACF boolean field not working.
- Fix: Navigation Menu - Double hamburger icon and menu appear when Elementor's sticky feature is enabled.
- Fix: Posts - 'uael_posts_filterable_tabs' filter hook not working for creative feed skin.
- Fix: Posts - Carousel dots get black background when using the 2021 theme.
- Fix: Posts - PHP fatal error while using pagination in some cases.
- Fix: Table - Table width is not 100% when using the 2022 theme.
- Fix: Video Gallery - Carousel dots get black background when using the 2021 theme.
- Fix: Video Gallery - Extra text appears on filterable tabs when viewing on responsive mode.
- Fix: Woo - Category - Carousel dots get black background when using the 2021 theme.
- Fix: Woo - Product - Carousel dots get black background when using the 2021 theme.

Version 1.36.1 - Wednesday, 12th January 2022
- Improvement: Twitter Feed - Renamed Sort By option labels and changed the date format.
- Fix: Instagram Feed - Fixed PHP Parse error when using the widget.

Version 1.36.0 - Tuesday, 11th January 2022
- New: Instagram Feed - Introducing a widget to showcase your Instagram photos.
- New: Twitter Feed - Introducing a widget to showcase your Twitter tweets.
- Improvement: Modal Popup - Added dynamic tag support to the Custom ID field of display modal on.
- Improvement: Posts - Added Article Schema Support.
- Improvement: Posts - Added option to select pagination type.
- Improvement: Settings Page - New grid design for widget list with filterable tabs.
- Improvement: Woo - Products - Added product categories as a class in product list HTML.
- Fix: Content Toggle -  Switch button "Round 2" style not working.
- Fix: Gravity Forms Styler - Close icon position misplacement when field errors appear.
- Fix: Image Gallery - Extra text appears on filterable tabs when viewing on responsive mode.
- Fix: Image Gallery - Last image overlaps on the first image when the last row is hidden in the justified layout.
- Fix: Image Gallery - Carousel dots and arrows get black background when using the 2021 theme.
- Fix: Image Gallery - Extra space on the left of the carousel dots.
- Fix: Navigation Menu - When opening a sub-menu by pressing the ctrl/cmd + click, then the adjacent sub-menus does not open.
- Fix: Posts - Console error when widget with different skins used multiple times on the same page.
- Fix: Posts - Extra space on the left of the Filterable Tabs.
- Fix: Table - Cell background color not working in responsive mode.
- Fix: Table - Columns do not appear if the headings have the same content.
- Fix: Table - Cell CSS ID and CSS Class not applying.
- Fix: Woo Categories –  Carousel layout breaks when the "Categories to show" option is set to 3.

Version 1.35.3 - Wednesday, 22nd December 2021
- Improvement: Posts - Improved ARIA attribute accessibility of categories in taxonomy badge.
- Fix: Display Conditions - Updated document link on integrations setting page.

Version 1.35.2 - Wednesday, 15th December 2021
- Improvement: Added compatibility to Elementor core version 3.5.0. Elementor has hard deprecated few functions with its v3.5.0. Following Elementor, our plugin too deprecates similar functions. Now to work with UAE, Elementor minimum version 3.1.0 or higher will be required.
- Fix: Woo - Checkout - Fixed section text color not applying in the editor.
- Fix: PHP warning of undefined array key on responsive controls in all widgets.

Version 1.35.1 - Tuesday, 16th November 2021
- Improvement: Display Conditions - Added Geo-location support.
- Improvement: Display Conditions - Added ACF field support.
- Improvement: Posts - Added WPML support for `'All' Tab Label` field in Filterable tabs
- Improvement: Price Box - Position option for original price.
- Improvement: Price Box - Tooltip option for original price.
- Improvement: Price Box - Bottom spacing for original price.
- Improvement: Price Box - Border style to heading box.
- Improvement: Price Box - Background color, Padding and Top Spacing options for duration field.
- Improvement: Price Box - Size option for features list icon.
- Improvement: Price Box - Border style and bottom spacing for content.
- Improvement: Table - Sticky option for heading row.
- Improvement: Video Gallery - Added Video Schema Support.
- Improvement: Woo - Category - Option to hide category product count.
- Improvement: Woo - Category - Option to make category title and product count block below image.
- Improvement: Woo - Category - Display inline category title and product count.
- Improvement: Woo - Category - Added HTML tag support to a category title.
- Fix: Excluding deactivated widgets css logic not working properly on network site.
- Fix: Table - Table content cell text color not working.

Version 1.35.0 - Monday, 11th October 2021
- New: Introducing Party Propz extension for sections, columns, and widgets.
- New: Introducing Welcome Music widget to add background music to the page.
- Improvement: Added Christmas & Halloween shape dividers to Elementor Shape Divider.
- Improvement: Modal Popup - Added option to set cookies on close popup action.
- Improvement: Particle Backgrounds - Added Christmas effect.
- Improvement: Particle Backgrounds - Added Halloween effect.
- Improvement: Particle Backgrounds - Added Snowflakes effect.
- Improvement: Table – Added responsive support.
- Fix: Login Form - Removed custom field label wrapper when content is empty.
- Fix: Posts - Fixed columns issue if advanced custom breakpoint setting is active.
- Fix: Woo - Products - Fixed columns issue if advanced custom breakpoint setting is active.

Version 1.34.1 - Thursday, 23rd September 2021
- Fix: Display Conditions - Active PHP session issue in WP Site Health Screen.

Version 1.34.0 - Wednesday, 22nd September 2021
- New: Countdown Timer - Added preset designs.
- New: Fancy Heading - Added preset designs.
- New: Marketing Button - Added preset designs.
- New: Social Share - Added preset designs.
- New: Timeline - Added preset designs.
- New: User Registration Form - Added preset designs.
- Improvement: Display Conditions - Added new/returning visitor type option based on cookies.
- Improvement: Display Conditions - Added advanced date support.
- Improvement: Navigation Menu - Added an option to convert the last menu item into the CTA button.
- Improvement: Table - Added CSS ID & CSS Class options for table cells.
- Improvement: User Registration Form - Added icon support to form fields.
- Improvement: Woo - Checkout - Added 'uael_multistep_checkout_hide_shipping_step' filter to exclude the shipping step from multi-step form.
- Improvement: Woo - Checkout - Added new progress bar styles to multi-step form.
- Fix: Gravity Forms Styler - Added an option "Support to Gravity Forms CSS Ready Classes" to fix the fields spacing issue.
- Fix: Info Box - CTA icon not displaying in the editor.
- Fix: Marketing Button - Hover animation options are not adequately visible.
- Fix: Marketing Button - Button content alignment issue when icon alignment is set to right.
- Fix: Price Box - Margin right applied to the Features section.
- Fix: User Registration Form - Changed Phone field type to "tel" to fix the Theme CSS not applying issue.
- Fix: Video - Lightbox is not working with the Vimeo video type.
- Fix: Woo - Products - Fixed console error when the responsive value of the "Product to show" option is empty.
- Fix: Woo - Products - Fixed grid layout column issue.

Version 1.33.2 - Tuesday, 17th August 2021
- Improvement: Elementor 3.4 compatibility.
- Improvement: Optimized CSS & JS in the plugin for improving Core Web Vitals.
- Improvement: Google Map - Added option for position of map controls.
- Fix: Modal Popup - Fixed jQuery '.resize()' event shorthand is deprecated.
- Fix: Modal Popup - Undefined play icon notice when content type Vimeo selected.
- Fix: Gravity Forms Styler - Description style not applying to the Post Fields description.
- Fix: WP Forms Styler - Input size not applying to the Textarea field.
- Fix: Social Share - Social items not adding on a new line.
- Fix: Woo - Products - Fixed grid layout column issue on Product archive template with Astra theme.
- Fix: Contact Form 7 Styler - Console error when selecting the form from widget settings.

Version 1.33.1 - Thursday, 5th August 2021
- Improvement: Added WPML translation support for all widgets through wpml-config.xml file.
- Improvement: Display Conditions - Added request parameter support.
- Improvement: Google Map - Added 'uael_map_options' filter to pass responsive zoom options.
- Improvement: Navigation Menu - Added label support to the menu icon.
- Improvement: Navigation Menu - Added 'SiteNavigationElement' schema support.
- Improvement: Video - Added video schema support.
- Improvement: Woo - Checkout - Added active border color support to the input fields.
- Improvement: Woo - Checkout - Added shop link support.
- Fix: Gravity Forms Styler - Form description bottom spacing not working with Gravity Forms version 2.5 and above.
- Fix: Image Gallery - Lightbox images not traversing according to the selected filterable tab.
- Fix: Posts - Fixed filterable tabs opening on Tab key instead of Enter key.
- Fix: Posts - Image ratio not working properly if equal height option is ON with carousel layout.
- Fix: Social Share - Social icons alignment not working.
- Fix: Woo - Products - Grid layout breaks on Kadence theme.
- Fix: Woo - Categories - Grid and carousel layout breaks on Kadence theme.
- Fix: Woo - Checkout - One and Two-column layout issue with Hello Elementor theme due to an additional column.

Version 1.33.0 - Wednesday, 21st July 2021
- New: Advanced Heading - Added preset designs.
- New: Business Hours - Added preset designs.
- New: Dual Color Heading - Added preset designs.
- New: FAQ Schema - Added preset designs.
- New: Info Box - Added preset designs.
- New: Login Form - Added preset designs.
- New: Multi Buttons - Added preset designs.
- New: Price Box - Added preset designs.
- New: Price List - Added preset designs.
- New: Team Member - Added preset designs.
- Improvement: Advanced Heading - Added show/hide option for Description, Sub-heading & Background Text.
- Improvement: Countdown Timer - Added box-shadow option for items.
- Improvement: Countdown Timer - Added 'Top' label position option and related spacing controls.
- Improvement: Dual Color Heading - Added show/hide option for Background Text.
- Improvement: Image Gallery - Added infinite gallery navigation ( loop ) option for lightbox.
- Improvement: Info Box - Added "default" border-style option for button to support global styles.
- Improvement: Login Form - Added icon support to the 'Login' button.
- Improvement: Login Form - Added icon support to Username and Password fields.
- Improvement: Login Form - Added option to make 'Remember me' and 'Login' buttons inline.
- Improvement: Login Form - Added show/hide option for Placeholder Text.
- Improvement: Login Form - Added top spacing option for the login button.
- Improvement: Login Form - Changed the default font size of input fields to 14px.
- Improvement: Login Form - Changed the size of remember me checkbox to 14px.
- Improvement: Price Box - Added "default" border-style option for button to support global styles.
- Improvement: Price Box - Added show/hide option for Disclaimer Text.
- Improvement: Price List - Added image shape option.
- Improvement: Price List - Added "None" option for Image Position to provide image hiding.
- Improvement: Team Member - Added show/hide option for Designation & Description Text.
- Improvement: Team Member - Added Content Padding option.
- Improvement: Team Member - Added Icon Background Size option for Social Icons.
- Improvement: Team Member - Added Image Height option.
- Improvement: Timeline - Added border option for cards.
- Improvement: Timeline - Added icon border and icon border radius option.
- Improvement: Timeline - Added option to show/hide card arrows.
- Improvement: Timeline - Renamed "Arrow Alignment" option label as "Connector Icon Alignment".
- Fix: Login Form - Fixed Login button alignment issue in RTL view.
- Fix: Timeline - Fixed card arrow color not resetting after card background color is reset.

Version 1.32.2 - Friday, 16th July 2021
- Improvement: Elementor 3.3 compatibility.
- Improvement: Info Box - Added support to custom link attributes.
- Improvement: WordPress 5.8 compatibility.
- Fix: FAQ Schema - Separator border applying to the whole box.
- Fix: Navigation Menu - Fixed console error due to same page anchor links.
- Fix: Navigation Menu - Warning: in_array() expects parameter 2 to be array from menu-walker.
- Fix: Posts - Imagesloaded library not working due to jQuery loading issue.

Version 1.32.1 - Tuesday, 15th June 2021
- Improvement: Display Conditions - Changed Post/Page selection control with custom query control to reduce the load time.
- Fix: Navigation Menu - In Custom menu type sub-menu item getting added as a parent menu item due to tag conflict.

Version 1.32.0 - Monday, 14th June 2021
- New: Introduced Display Conditions feature for widgets, sections, and columns.
- Improvement: Gravity Form Styler - Added support to the section field.
- Improvement: Navigation Menu - Close expandable/flyout menu on click of a 'Navigation' menu item for same page 'anchor' links.
- Improvement: Woo - Checkout - Added AJAX support to the order review subtotal.
- Improvement: Woo - Checkout - Added AJAX support to the order total when coupon code is applied.
- Improvement: Countdown Timer - Added position option for countdown labels.
- Fix: Mini Cart - W3C error regarding no space between attributes.
- Fix: Navigation Menu - W3C error regarding no space between attributes.
- Fix: Particle Backgrounds - Fixed PHP notice due to conflict with other plugins.
- Fix: Particle Backgrounds - PHP error due to is_built_with_elementor function.
- Fix: Social Share - Print button displaying a blank page.
- Fix: Woo Checkout - Fixed widget icon color issue with Elementor's dark 'mode'.
- Deprecated - Caldera Forms Styler - Revoked support for new users. This will continue working for old users.

Version 1.31.0 - Monday, 17th May 2021
- New: Introduced WooCommerce Checkout Form widget.
- Improvement: Navigation Menu - Added an option to hide + & - sign added by Twenty Twenty-One Theme.
- Improvement: Posts - Added autoplay speed option for carousel layout.
- Improvement: Table - Added WPML support to repeater fields with wpml-config.xml file for WPML 4.4+ versions.
- Improvement: Video - Added 1:1 and 21:9 aspect ratio.
- Improvement: Video Gallery - Added option to display the video caption below the video.
- Fix: Before After Slider - Fixed slider issue in RTL view.
- Fix: Countdown Timer - Separator not hiding when specific display conditions are on/off.
- Fix: Marketing Button - Flare animation not visible at the corner of the button if border-radius set as 0.
- Fix: Mini Cart - Additional bottom line in the product list on non WooCommerce pages.
- Fix: Modal Popup - Elements below the popup were not working on iPhone devices.
- Fix: FAQ Schema - Active colors not applied except the first item.
- Fix: FAQ Schema - Error in structured data if assigned dynamic field is empty.
- Fix: FAQ Schema - Repetitive Schema added to Elementor's single post template.
- Fix: Particle Backgrounds - Not working for columns after Elementor DOM optimization.
- Fix: User Registration Form - Register user functionality not working on Multisite.
- Fix: Woo Products - Bottom box shadow not displayed on products in a carousel layout.
- Fix: Install Elementor notice displays on the update installation page.

Version 1.30.2 - Friday, 23rd April 2021
- Fix: Woo - Products - Undefined Global Typography class error with Modern skin.

Version 1.30.1 - Friday, 23rd April 2021
- Improvement: Added notice to update Elementor to v3.0.0 or higher.
Elementor has deprecated few functions and namespaces with its v3.0.0. Following Elementor, our plugin too deprecates similar functions and namespaces. You will now require the Elementor v3.0.0 or higher.
- Improvement: Compatibility with Elementor v3.2 - Added Elementor Global Color and Typography scheme support.
- Improvement: Compatibility with Elementor v3.2 - Soft deprecated is_built_with_elementor() updated.
- Improvement: Business Reviews - Added an option to pass the language parameter to the Google Places API.
- Improvement: Social Share - Added fake random count for posts/pages.
- Fix: Modal Popup - Scrolling inside the popup not working.
- Fix: Modal Popup - Elements below the popup was not working due to JS conflicts.
- Fix: Woo - Category - Categories to Show setting not working for tablet breakpoint in carousel layout.
- Fix: Woo - Products - Products to Show setting not working for tablet breakpoint in carousel layout.

Version 1.30.0 - Wednesday, 31st March 2021
- New: Introduced Social Share widget.
- Improvement: Video Gallery - Added 'uael_video_gallery_slick_options' filter to pass extra option to the slick library carousel layout.
- Fix: Countdown Timer - Recurring timer gets reset after finish and user visit.
- Fix: Marketing Button - Flare animation applies on section instead of a button on iOS.
- Fix: Mini Cart - Product image and name overlapping in Astra theme.
- Fix: Mini Cart - Product image size issue with WP Twenty Twenty-One theme.
- Fix: Navigation Menu – Removed transition effect of the horizontal menu layout.
- Fix: Particle Backgrounds - Not working inside the Elementor Pro Popup.
- Fix: Table - HTML not rendering inside the table header CSV file.
- Fix: User Registration Form - Phone number field data not saving in a user profile.
- Fix: Woo - Category - Product/Products string not translatable.
- Fix: Woo - Products - Added RTL support to carousel navigation arrows.
- Fix: Hardened allowed options in the editor to enforce better security policies.

Version 1.29.2 - Tuesday, 9th March 2021
- Improvement: Compatibility with WordPress v5.7.
- Improvement: Compatibility with Elementor v3.1.
- Improvement: Gravity Form Styler - Added placeholder text color option.
- Improvement: Mini Cart - Added option to hide badge when the cart is empty.

Version 1.29.1 - Tuesday, 23rd February 2021
- Improvement: Video - Added self hosted video type.
- Improvement: Video Gallery - Added self hosted video type.
- Improvement: Navigation Menu - Added active color support to the custom menu type.
- Improvement: Particle Backgrounds - Replaced particles.js with tsParticles for better performance.
- Improvement: Table of Contents - Added 'Scroll to Top Offset' option for Scroll to Top.
- Improvement: Timeline - Added 'uael_timeline_infinite_limit' filter to change the limit of number of pages while infinite loading.
- Fix: Particle Backgrounds - Not working on archive pages.
- Fix: Image Gallery - 'Row Gap' adding the extra space below the images with the Hello theme.
- Fix: Image Gallery - Fixed justified layout not aligning the images properly.

Version 1.29.0 - Wednesday, 20th January 2021.
- New: Introduced WooCommerce Mini Cart widget.
- Improvement: Compatibility with Elementor v3.1.0 - Soft deprecated functions updated.
- Improvement: FAQ Schema - Added unique ID to the FAQ question field.
- Improvement: User Registration Form - Added 'Phone' field.
- Improvement: Woo - Add to Cart - Added support to default WooCommerce template.
- Fix: Hide internal help links present on settings page if 'Display Help Links' box is unchecked.
- Fix: Content Toggle - Switcher switching to content 2 on window back button.
- Fix: FAQ Schema - Fixed schema not working on product category archive.
- Fix: Marketing Button - Flare animation working according to column instead of widget.
- Fix: Modal Popup - Fixed PHP notice for icon control.
- Fix: Posts - Filterable tabs dropdown not closing on double click.

Version 1.28.1 - Tuesday, 29th December 2020.
- Improvement: Image Gallery - Added infinite gallery navigation ( loop ) option for lightbox.
- Fix: Multi Buttons - Added support to custom link attributes.
- Fix: Table - Added support to custom link attributes.

Version 1.28.0 - Thursday, 17th December 2020.
- New: Integrated Full Page Copy Paste option in Cross-Site Copy Paste Feature.
- Improvement: Compatible with WordPress v5.6
- Improvement: PHP Deprecated: Required parameters follows optional parameters in get meta markup function - Compatibility with PHP v8.0
- Improvement: Navigation Menu - Added option to open submenu on click for Horizontal layout.
- Improvement: Timeline - Added action hooks for layout customization.
- Fix: Elementor install and activate notice issue on Multisite.
- Fix: Google Map - Window scrolls down on close of InfoWindow on Chrome.
- Fix: How-to Schema - Added 'alt' and 'title' attributes to steps images.
- Fix: Image Gallery - 'Last Row Layout' hide causing the images overlapping on the existing images.
- Fix: Posts - Filterable tab keyboard support issue with other keys than 'Tab' key.
- Fix: User Registration Form - Allow registration of email ID with the same email prefix and different domain names.
- Fix: Woo-Products - Exclude query not working with 'Sale' filter.

Version 1.27.2 - Wednesday, 4th November 2020.
- Improvement: Advanced Heading - Added HTML tag option for 'Line With Text'.
- Improvement: Google Map - Added filter to pass extra cluster options.
- Improvement: Navigation Menu - Added option to toggle menu item.
- Improvement: Off-Canvas - Added option to hide sub-menu.
- Improvement: Price List - Added item border radius option.
- Fix: Advanced Heading - Dynamic content does not work.
- Fix: Fancy Heading - Added RTL support to the effects.
- Fix: FAQ Schema - FAQ Content not following HTML tag.
- Fix: Info Box - Overall alignment option not working for the custom icons.
- Fix: Info Box - Icon background hover color option not working.
- Fix: Posts - 'Default Tab On Page Load' does not work with special characters.

Version 1.27.1 - Wednesday, 7th October 2020.
- Improvement: Advanced Heading - Added background text option.
- Improvement: Advanced Heading - Added fill background image option.
- Improvement: Advanced Heading - Added sub-heading position options.
- Improvement: Dual Color Heading - Added background text option.
- Improvement: Dual Color Heading - Added background fill option.
- Improvement: Fancy Heading - Added more effects.
- Improvement: Login Form - Added a filter to change 'Remember Me' text.
- Improvement: Price Box - Added heading icon option.
- Improvement: Price Box - Added tooltip option.
- Improvement: Price Box - Added price position option.
- Improvement: Table - Added option to change the 'Search' label.
- Improvement: Woo - Products - Added Featured Flash options in Modern Skin.
- Fix: FAQ Schema - Added accessibility attributes to question and answer.
- Fix: Posts - Added accessibility attributes to links and filterable tabs.
- Fix: Posts - 'Posts Per Page' affecting filterable tabs.
- Fix: Timeline - Global color not getting applied to the content arrow.
- Fix: User Registration Form - Added WordPress 5.5 password check compatibility.
- Fix: Woo - Products - Variable product not getting added to the cart through quick view.

Version 1.27.0 - Wednesday, 16th September 2020.
- Improvement: Implemented CSS optimization techniques.
- Improvement: Posts - Added box-shadow and border controls to all skins.
- Improvement: Posts - Added image ratio option.
- Improvement: Table of Contents - Added active color support.
- Fix: SVG not rendering in few widgets.
- Fix: FAQ - Error in global schema if the widget is deactivated.
- Fix: Posts - Excluded empty categories from filterable tabs.
- Fix: Posts - Removed anchor tag if the image is unlinked.
- Fix: Timeline - Inline editing not working for the content.
- Fix: User Registration Form - Translation issue with Poedit.

Version 1.26.4 - Monday, 31st August 2020.
- Fix: Info Box - Background color applying to icon in Normal style.
- Fix: Woo - Add To Cart - Redirection not working after adding to cart.
- Fix: Woo - Products - Pagination not working.

Version 1.26.3 - Monday, 24th August 2020.
- Improvement: Compatibility to Elementor 3.0.
- Improvement: FAQ - Enable multiple schema on a page.
- Fix: Caldera Forms Styler - Default radio buttons select style not working.
- Fix: Contact Form 7 Styler - Fixed styling not applying to success/error message.
- Fix: Hotspot - Fixed the PHP notice with PHP v7.4 and above.
- Fix: Multi Buttons - SVG icon not rendering.
- Fix: Navigation Menu - Added WPML support to saved sections in Mega Menu.
- Fix: Navigation Menu - Conflict with Essential Addons Divider widget.
- Fix: Price List - Fixed the PHP notice with PHP v7.4 and above.
- Fix: Table Of Contents - Default offset not working.
- Fix: Video -  Added alt attribute for custom thumbnail.
- Fix: Woo - Products - Fixed variable product images not reflecting in quick view.

Version 1.26.2 - Tuesday, 11th August 2020.
- Improvement - Compatibility to WordPress 5.5.

Version 1.26.1 - Friday, 31st July 2020.
- Fix - Gravity Forms Styler - Resolved JS error 'gform' is not defined.

Version 1.26.0 - Thursday, 30th July 2020.
- New: Introduced WP Fluent Forms Styler widget.
- Improvement: Gravity Forms Styler - Compatibility to Gravity Forms v2.5.
- Improvement: Posts - Added 'uael_post_offset_top' filter for changing the offset top while paginating.
- Improvement: Woo-Products - Added styling support to the quick view.
- Fix: Table Of Contents -  Fixed the PHP notice 'Trying to access array offset on value of type null' with PHP v7.4 and above.
- Fix: Woo-Products - Added RTL support to the pagination.

Version 1.25.2 - Wednesday, 8th July 2020.
- Improvement: FAQ - Added option for icon size.
- Improvement: Gravity Forms Styler - Added option to use default checkbox and radio button design.
- Improvement: Gravity Forms Styler - Added a filter 'uael_gravity_js_load_frontend' to enqueue the Gravity Forms JS in frontend.
- Improvement: How-to Schema - Added options to input the time in Year, Month, Week and Hours.
- Improvement: Modal Popup - Added filter 'uael_modal_video_url' for the video URL.
- Improvement: Navigation Menu - Added active color support to the link hover effects.
- Improvement: Navigation Menu - Added support to SVG for toggle and close icon.
- Improvement: Posts - Added filter 'uael_posts_meta_category' to modify categories meta.
- Fix: FAQ - Alignment option not working in Grid layout.
- Fix: Image Gallery - Added RTL support to carousel and lightbox navigation arrows.
- Fix: Navigation Menu - Added WPML translation support to custom menu.
- Fix: Off-Canvas - Trigger for Off-Canvas on the icon click are now targeted to Icon instead of entire Icon Widget area.
- Fix: Off-Canvas - Added styling support to SVG.
- Fix: Posts - Loaded the Masonry footer JS in editor only.
- Fix: Posts - Removed the pagination links for Infinite Load pagination to make it SEO compatible.

Version 1.25.1 - Tuesday, 23rd June 2020.
- Improvement: Table - Added styling support to individual table body cells.
- Fix: FAQ - Icon size not changing with title font-size.
- Fix: User Registration Form - Register button not clickable when Terms and Conditions field is disabled.

Version 1.25.0 - Tuesday, 16th June 2020.
- New: Users can now share non-personal usage data to help us test and develop better products. ( <a href="https://store.brainstormforce.com/usage-tracking/?utm_source=changelog&utm_medium=changelog&utm_campaign=usage_tracking" target="_blank" rel="noopener">Know More</a> )
- Improvement: FAQ - Added HTML tag support to a title.
- Improvement: Gravity Form Styler -  Added style support for multi-step navigation text.
- Improvement: User Registration Form - Introducing optional Terms and Conditions to comply with GDPR.
- Improvement: Video Gallery - Added an option to show the caption always.
- Improvement: Woo-Categories - Added 'menu_order' to sort the Woo-Categories.
- Improvement: Woo-Products - Added filter 'uael_product_disable_link' to disable the link of product image.
- Fix: Advanced Heading - Font Awesome Pro Duotone icons not working.
- Fix: Gravity Forms Styler - Hide form title & description on submit.
- Fix: Image Gallery - Redirection to 404 page if custom link is empty.
- Fix: Login Form - Google login not working if used multiple times on same page.
- Fix: Login Form - Layout breaking if view password icon and error messages display together.
- Fix: Navigation Menu - Added responsive support to flyout box width.
- Fix: Off-Canvas - SVG icon not rendering if used with display setting as icon.
- Fix: User Registration Form - 'Register' text stick to the top of button with GeneratePress theme.
- Fix: Woo-Products - Grouped products not getting added to the cart through Quick View.

Version 1.24.3 - Wednesday, 27th May 2020.
- Improvement: Login Form - Added filter 'uael_form_error_string' to change the error messages string.
- Improvement: Login Form - Added loader while logging in with social login.
- Improvement: Login Form - Added view password option.
- Improvement: Navigation Menu - Added active color for dropdown and current menu parent.
- Improvement: User Registration Form - Added filter 'uael_form_error_string' to change the error messages string.
- Improvement: Woo-Categories - Added action hook 'uael_before_product_loop_start' before UAE's products loop starts.
- Improvement: Woo-Products - Display quick view & add to cart by default for mobile and tablet for modern skin.
- Improvement: Woo-Products - Display quick view by default for mobile and tablet for classic skin.
- Improvement: Woo-Products - Added action hook 'uael_before_product_loop_start' before UAE's products loop starts.
- Fix: Hotspot - Hover marker not clickable on iOS.
- Fix: Navigation Menu - Open in new tab not working for WordPress menu.
- Fix: Table - HTML not rendering inside CSV file.

Version 1.24.2 - Monday, 4th May 2020.
- Security Fix: Registration Form - Allow user registration if anyone can register option is enabled from the WordPress backend.

Version 1.24.1 - Tuesday, 28th April 2020.
- Improvement: Hardened the security of plugin.
- Improvement: How-to Schema - Added rich-text editor for Description.
- Fix: Cross-Site Copy Paste - Fixed the conflict with Rank Math plugin.
- Fix: Cross-Site Copy Paste - Fixed the conflict with Happy Addons Live Copy.
- Fix: Countdown Timer - Recurring timer digits not visible on iOS.
- Fix: Countdown Timer - Responsive support styling issue on iOS.
- Fix: Gravity Forms Styler - Datepicker field not working on frontend.
- Fix: How-to Schema - Handled the uncategorized errors in description.
- Fix: How-to Schema - WPML support to steps repeater field.
- Fix: Image Gallery - Undefined index 'url' error with ACF Pro Gallery field.
- Fix: Info Box - Complete box link not working with Elementor Popup.
- Fix: Posts - Pages are being created even when pagination is disabled.
- Fix: Login Form - Redirection not working after hiding the custom form.
- Fix: Woo-Products - Carousel arrow icon not visible in some cases.

Version 1.24.0 - Wednesday, 2nd April 2020.
- New: Introduced Cross-Site Copy Paste feature.
- Improvement: Navigation Menu - Changed the tablet breakpoint to 1024 in order to support iPad Pro.
- Fix: Caldera Form Styler - Form fields CSS files not getting enqueued.
- Fix: Info Box - Elementor Pro popup not working with Info Box.
- Fix: Navigation Menu - Theme style link typography overriding menu link typography.

Version 1.23.1 - Thursday, 12th March 2020.
- Improvement: Business Reviews - Added a filter 'uael_business_reviews_read_more' to change the read more link.
- Improvement: FAQ - Added rich-text editor for content.
- Improvement: Gravity Form Styler - Added WPML support to custom title and description.
- Improvement: Woo - Categories - Added category filter label on separate line.
- Fix: Info Box - Empty array notice with PHP v7.4 and above.
- Fix: Hotspot - Fixed the RTL positioning issue of marker.
- Fix: Hotspot - Hover marker not clickable on mobile.
- Fix: Marketing Button - Fixed link break issue with the flare animation.
- Fix: Price List - Title class mismatch in preview and render function.
- Fix: Timeline - Shortcode not working inside the input fields.
- Fix: Woo - Products - Column padding issue on mobile.
- Fix: WPForms Styler - Success message style not working.
- Deprecated: Posts - 'Media' post type.

Version 1.23.0 - Tuesday, 18th February 2020.
- New: Introduced How-to Schema widget.
- Improvement: Marketing button - Added 'Flare Animation' option.
- Improvement: Table - Increased the heading and cell row span limit to '25'.
- Fix: Advanced Heading - Icon with separator not moving with alignment.
- Fix: Gravity Form Styler - Select icon alignment issue with Hello Elementor theme.
- Fix: Image Gallery - Category name issue when responsive support is enabled.
- Fix: Info-box - RTL Alignment fix.
- Fix: Login Form - Logged in notice not translatable.
- Fix: Navigation Menu - Menu items on mobile are not clickable.
- Fix: Video - Default youtube play icon not displaying.
- Fix: Video - Sticky video margin array empty notice with PHP v7.4.
- Fix: Woo - Add To Cart - Before/after icon alignment issue.

Version 1.22.1 - Thursday, 6th February 2020.
- Improvement: Hardened the security of plugin.
- Improvement: Compatibility with latest WordPress PHP_CodeSniffer rules.
- Improvement: Elementor v2.9 compatibility.
- Fix: Particle Backgrounds - Load JS on pages built with Elementor.

Version 1.22.0.1 - Thursday, 23rd January 2020
- Fix: Particle Backgrounds - JS loading condition conflict on Elementor archive templates.

Version 1.22.0 - Wednesday, 22nd January 2020
- Security Fix: Cross-site scripting (XSS) vulnerability.
- New: Introduced FAQ widget with schema integration.
- Improvement: Woo - Products - Added option to set sale price color.
- Improvement: Woo - Products - Added option for spacing between the add to cart button and view cart text.
- Fix: Info Box - Icon alignment issue with circle background style.
- Fix: Navigation Menu - Added RTL support to the template positions.
- Fix: Navigation Menu - Expanded layout not working after reload.
- Fix: Particle Backgrounds - JS not loading on archive pages designed with Elementor.
- Fix: Registration Form - Icons Manager class issue if Elementor is not updated.
- Optimized number of function calls in Elementor editor.
- Optimized number of queries executed on admin page.

Version 1.21.1 - Thursday, 9th January 2020
- Improvement: Price list - Added an option to make full item clickable.
- Improvement: User Registration Form - Added WPML support.
- Improvement: White Label - Added an option to hide the tagline 'Take Elementor to The Next Level!'.
- Fix: Gravity Form Styler - Padding issue with the Gravity Forms CSS ready classes.
- Fix: Marketing Button - Icon alignment after title not working.
- Fix: Modal Popup - Default close icon not visible when FA4 support is disabled.
- Fix: Multi Buttons - Icon alignment after title not working.
- Fix: Off - Canvas - Default close icon not visible when FA4 support is disabled.
- Fix: Off - Canvas - Double scrollbar on firefox.
- Fix: Particle Backgrounds - Fixed the PHP notice 'Trying to get property 'ID' of non-object'.
- Fix: Retina Image - Added alt attribute for retina image.
- Fix: Table - 'No matching records found' string is not translatable.
- Fix: Team Member - Image hover animation getting applied to social icons in the backend.
- Fix: Team Member - Social icons alignment issue with the right image position.
- Fix: Video - Sticky video default close icon not visible when FA4 support is disabled.
- Fix: Video Gallery - Wistia video inline play needs a double click issue.
- Fix: Woo - Products - Quick view default close icon not visible when FA4 support is disabled.
- Fix: Some of the widgets not searchable with 'UAE' keyword.

Version 1.21.0 - Monday, 23rd December 2019
- New: Introduced Navigation Menu widget.
- Improvement: Video - Added lightbox support.
- Improvement: Content Toggle - Added support to open a specific toggle section from a remote link.
- Improvement: Advanced Heading - Added WPML support to sub-heading text.
- Improvement: Image Gallery - Added "uael-lightbox-content" filter to modify caption text in lightbox.
- Improvement: Login Form - Added an option to send an e-mail after a new user log in using social login.
- Improvement: Login Form - Disable AJAX form submission option added.
- Improvement: Login Form - Improved the authentication functionality.
- Improvement: Marketing Button - Added WPML support.
- Improvement: Posts - For load time optimization added option to activate/deactivate skins.
- Improvement: Posts - Optimized Author filter query.
- Improvement: User Registration Form - Provided all form fields shortcodes for custom e-mail.
- Fix: Content Toggle - Switch style round 2 issue in RTL direction.
- Fix: Hotspot - Hotspot stretching in RTL direction.
- Fix: Off - Canvas - Hide on the responsive setting issue on tablet landscape mode.
- Fix: Particle Backgrounds - Loading script only on Elementor pages.
- Fix: Posts - CTA icon alignment issue.
- Fix: Table of Contents - Smooth Scroll not working on iOS devices having a version less than 13.
- Fix: User Registration Form - Register button text alignment issue in justified layout.

Version 1.20.1 - Wednesday, 11th December 2019
- Security Fix: Login Form - Improved user data validation from Google and Facebook APIs before login.

Version 1.20.0 - Thursday, 14th November 2019
- New: Introduced Login Form Widget.
- Improvement: Advanced Heading - Added responsive support to heading margin.
- Improvement: Countdown Timer - Added 'Reset' after expire action for Evergreen Timer.
- Improvement: Countdown Timer - Added dynamic field support to days, hours & minutes field.
- Improvement: Off - Canvas - Horizontal Position option for floating button/icon.
- Improvement: Posts - Added category class to the posts.
- Improvement: Table of Contents - Added responsive support for the scroll offset.
- Improvement: Video - Added dynamic field support to video start and end time.
- Fix: Off - Canvas - Fixed the off-canvas display issue on window resizes.
- Fix: User Registration Form - Undefined template type issue in user notification filter.
- Fix: WPML Support - Dependency issue when the Multilingual CMS plugin is deactivated.

Version 1.19.2 - Thursday, 24th October 2019
- Improvement: Countdown Timer - Set a total time cookie for each timer.
- Fix: Table of Contents - Added support to custom templates.

Version 1.19.1 - Wednesday, 23rd October 2019
- Improvement: Gravity Form Styler - Load dependent script only in the editor.
- Fix: Countdown Timer - After expire actions require page reload.
- Fix: Table of Contents - Issue when heading ID attribute has special characters.
- Fix: Table of Contents - Issue with Hello Elementor theme.
- Fix: White Label - Hide Changelog only if the knowledge base box is disabled.

Version 1.19.0 - Thursday, 17th October 2019
- New: Introduced Table of Contents Widget.
- Improvement: Advanced Heading - Added sub-heading, blend mode, and size option.
- Improvement: Image Gallery - Added clickable caption option.
- Improvement: Info Box - Added blend mode option for heading.
- Fix: Google Map - Disable zoom on scroll option not working.
- Fix: Gravity Form Styler - Fixed Gravity forms with conditional fields script loading issue in the editor.
- Fix: Image Gallery -  Lightbox arrows with RTL direction issue.
- Fix: Posts - Offset issue with pagination and filterable tabs.
- Fix: Retina Image - Image caption validation issue with empty().
- Fix: Video Gallery - Responsive support option issue with the default filter of filterable tabs.

Version 1.18.0 - Tuesday, 1st October 2019
- New: Introduced User Registration Form Widget.
- Improvement: Image Gallery - Added is_object() condition check in helper file for images.
- Improvement: Video - Added filter 'uael_video_default_channel_id' to pass default channel ID for subscribe bar.
- Fix: Image gallery - Lightbox content alignment issue in RTL view.
- Fix: Info Box - Icon related notice when alignment option set to right.
- Fix: Modal Popup - WPML translation not working for Saved Sections.
- Fix: Particle Backgrounds - Calls to script even if not enabled on the page.
- Fix: Posts - Fixed the issue with filterable tabs when both category and tag selected through the query filter.
- Fix: Posts - Fixed the issue of dropdown filter showing slug instead of category.
- Fix: Posts - Carousel navigation style conflict with OceanWP theme.
- Fix: Table - CSS conflict between UAE Table widget's striped effect and Hello Elementor theme.
- Fix: Video - Fixed the issue of default tab on page load.
- Deprecated - Business Reviews - Reviews schema support.

Version 1.17.1 - Monday, 9th September 2019
- Fix: Video - Fixed Wistia thumbnail image issue.
- Fix: Video Gallery - Fixed Wistia thumbnail image issue.

Version 1.17.0 - Monday, 9th September 2019
- New: Introduced Retina Image Widget.
- Improvement: Video - Added Wistia support.
- Improvement: Video Gallery - Added Wistia support.
- Improvement: Image gallery - Introduced Advanced Lightbox feature with different actions and caption in the lightbox.
- Improvement: Modal Popup - Added an option to trigger popup via URL parameter.
- Improvement: Post - Added 'uael_post_cta_text' filter to modify the CTA text.
- Fix: Multi Button - Inline editing issue on the first click of the button text.
- Fix: Posts - Masonry layout issue with infinite scroll and filterable tabs.
- Fix: Table - Extra spacing when the icon field is empty.
- Fix: Team Member - Text punctuation mark issue with image position right.

Version 1.16.2 - Thursday, 29th August 2019
- Fix: Marketing Button - Icon alignment issue.

Version 1.16.1 - Tuesday, 27th August 2019
- Improvement: Added Font Awesome 5 Icon and SVG support.
- Fix: Post - Masonry layout issue with infinite load pagination.

Version 1.16.0 - Tuesday, 20th August 2019
- New: Introduced Team Member Widget.
- Improvement: Video Gallery - Registered action to add the content after each video.
- Improvement: Woo - Products - Added hide product image option.
- Fix: Countdown Timer - Fixed the issue of Fixed Timer on iOS mobile browsers.
- Fix: Gravity Form Styler - Fixed Gravity forms style and script loading issue.
- Fix: Hotspot - Conflict with Elementor Pulse animation.
- Fix: Off - Canvas - Push animation conflict with body width.
- Fix: Video Gallery - Fixed lightbox JS conflict.
- Fix: Video Gallery - Video loading issue in Carousel layout.
- Fix: WPForms Styler - Background color support added to select field options.

Version 1.15.0 - Wednesday, 31th July 2019
- New: Introduced WPForms Styler widget.
- Improvement: Caldera Form Styler - Added styling support to the buttons other than Submit.
- Improvement: Posts - Added an option to hide the Author box in the Business Card skin.
- Improvement: Video - Added video aspect ratio 9:16.
- Fix: Countdown Timer - Removed the limit over the number of days for the Evergreen and Recurring timer.
- Fix: Gravity Form Styler - Selected color option of the radio button was not applicable on the frontend with the default style.
- Fix: Woo - Products - Number of Products issue when the product is excluded from the catalog.

Version 1.14.0 - Thursday, 18th July 2019
- New: Introduced Countdown Timer widget.
- Improvement: Info Box - Added CSS Filters, Opacity & Transition duration options for image.
- Improvement: Info Box - Added on hover box-shadow option for the CTA button.
- Improvement: Post - Added dynamic field support to the CTA text.
- Improvement: Video - Added border-radius option.
- Fix: Advanced heading - Heading display issue on Mac Safari.
- Fix: Google Map - Fixed Pegman icon CSS conflict.
- Fix: Image Gallery - Redirection to the same page when the custom link is empty.
- Fix: Image Gallery - Filterable tabs drop-down selection does not reflect.
- Fix: Image Gallery - Lightbox issue when images removed from the media library.
- Fix: Marketing Button - Dynamic support to text fields.
- Fix: Post - Taxonomy badge term divider not working when Link meta is disabled.
- Fix: Post - Term Divider and spacing issue with Meta fields.
- Fix: Post - Filterable tabs drop-down selection does not reflect.
- Fix: Post - Issue of masonry layout when the widget saved as a global widget.
- Fix: Table - "Show Entries" string translation support added.
- Fix: Video Gallery - Filterable tabs drop-down selection does not reflect.
- Fix: White Label - Hide View Demos link on the settings page.
- Fix: Woo - Products - Added link to the product name in a quick view.
- Fix: Woo - Products - Incorrect terms being inserted to tags selection field.

Version 1.13.2 - Friday, 12th July 2019
- Fix: Icon visibility issue after Elementor 2.6 update.

Version 1.13.1 - Monday, 1st July 2019
- Improvement: Business Reviews - Improved Schema Rating.
- Fix: Business Reviews - Avoid PHP error when wp_error is received from wp_remote API.

Version 1.13.0 - Tuesday, 25th June 2019
- New: Introduced Business Reviews widget.
- Improvement: Gravity Form Styler - Added padding option for field validation message.
- Improvement: Gravity Form Styler - Previous and Next button alignment in multistep form.
- Improvement: Post - Event skin - Filter to display the published date of posts.
- Fix: Gravity Form Styler - Filter 'gform_datepicker_options_pre_init' not accessible on frontend.
- Fix: Gravity Form Styler - Fixed the input margin issue when the field label is hidden.
- Fix: Off - Canvas - Background scroll issue on mobile devices.
- Fix: Off - Canvas - Fixed the issue with Elementor responsive settings.
- Fix: Off - Canvas - Push animation conflict with body width on the first page load.
- Fix: Post - Image scale issue on hover.
- Fix: Post - Offset issue with filterable tabs.
- Fix: Post - Taxonomy badge issue with main query.
- Fix: Woo - Products - Issue with the regular price of variable products.

Version 1.12.1 - Wednesday, 29th May 2019
- Improvement: Particle Backgrounds - Loads the Particles JS where necessary.

Version 1.12.0 - Monday, 20th May 2019
- New: Introduced Particle Backgrounds for Elementor.
- Improvement: Hotspot - Filter for Tooltip min & max width.
- Improvement: Modal Popup - Added WPML compatibility to saved page content.
- Improvement: Post - Added WPML compatibility to post query.
- Improvement: Post - News skin - Added an option to stack post content and image on mobile view.
- Improvement: Table - Added dynamic field support to heading text.
- Improvement: Woo - Products - Passing widget settings with uael_woo_products_content_structure filter.
- Fix: Gravity Form Styler - Added style support to the description of section field.
- Fix: Post - Image scale issue when image is set as a background.
- Fix: Post - News skin - Featured image issue on mobile view when image position is set to none.
- Fix: Woo - Products - Custom sale flash issue with variable products.

Version 1.11.0 - Thursday, 18th April 2019
- New: Introduced Off - Canvas widget.
- Improvement: Post - Added an option to exclude the current post.
- Improvement: Video - Added an option to mute the Vimeo video.
- Fix: Post - Filterable tabs notice with Custom Post type.
- Fix: Post - Link to the complete box issue when featured image set as a background.
- Fix: Woo - Products - Fixed the Ajax add to cart issue in the modern skin.

Version 1.10.2 - Thursday, 28th March 2019
- Fix: Post - Fixed taxonomy badge tag issue.

Version 1.10.1 - Thursday, 28th March 2019
- Improvement: Post - Introduced a Business Card Skin.
- Improvement: Advanced Heading - Responsive support to description spacing control.
- Improvement: Caldera Form Styler - Caldera forms enqueue style related changes.
- Improvement: Info Box - Added separator position options.
- Improvement: Post - Responsive support to Blog padding control.
- Improvement: Timeline - Fixed JS error when posts query results empty.
- Improvement: Video - Added a filter to change the offset value of Sticky video.
- Fix: Post - Fixed custom post type taxonomy badge issue.
- Fix: Video Gallery - Fixed the carousel breaking issue.
- Fix: White Label - Added compatibility on the updates page.
- Fix: Woo - Products - Fixed the BigCommerce compatibility issue.

Version 1.10.0 - Tuesday, 12th March 2019
- New: Introduced Marketing Button Widget.
- Improvement: Content Toggle - Provided filters to change the on/off text of label box switch.
- Improvement: Hotspot - Provided filters to change the tour navigation strings.
- Improvement: Video - Added WPML support to sticky info bar.
- Improvement: Woo - Products - Added Products not found message field.
- Fix: Caldera Form Styler - Fixed Caldera Forms minified JS issue.
- Fix: Contact Form 7 Styler - Fixed CF7 submit event JS issue.
- Fix: Hotspot - Fixed tooltip background color issue.
- Fix: Post - Elementor v2.5.4 version compatibility added.

Version 1.9.2 - Tuesday, 26th February 2019
- Improvement: Video - Added sticky video feature.
- Improvement: Hotspot - Added an option to hide non-active markers in the tour.
- Improvement: Hotspot - Added dynamic field support.
- Improvement: Post - Added slides to scroll option for carousel layout.
- Improvement: Price List - Added padding option for price items.
- Improvement: Table - Added WPML support to heading text.
- Fix: Caldera Form Styler - Radio fields styling issue when a condition applied.
- Fix: Google Map - Fixed the map integration settings page issue with Phlox Theme.
- Fix: Info Box - Fixed the separator width issue.
- Fix: Modal Popup - Fixed the Vimeo video autoplay issue.
- Fix: Timeline - Arrow visibility issue when the box-shadow option is enabled.
- Fix: Woo - Products - Fixed the issue of Related Products query.

Version 1.9.1 - Thursday, 31st January 2019
- Improvement: Hotspot - Added an option to launch the tour when widget enters in viewport.
- Improvement: Timeline - Provided a filter for custom meta key field.
- Fix: Hotspot - Changed dependency of marker text field.
- Fix: Hotspot - Fixed marker link issue.

Version 1.9.0 - Tuesday, 29th January 2019
- New: Introduced Hotspot Widget.
- Improvement: Gravity form styler - Added support to consent field.
- Improvement: Woo - Add To Cart - Added dynamic product support.
- Fix: Gravity form styler - Previous button alignment issue fixed.
- Fix: Image Gallery - Fixed the issue of image caption with a link.
- Fix: Image Gallery - Fixed the issue of image lightbox in the carousel layout.
- Fix: Post - Fixed the filterable tabs conflict.
- Fix: Post - Added responsive support for spacing controls.
- Fix: Table - Search string translation issue fixed.
- Fix: Video Gallery - Fixed filterable tabs issue when category name is numeric.
- Fix: Woo - Products - Fixed the out of stock products issue.
- Fix: Woo - Products - Fixed the orderby filter issue.
- Fix: Woo - Products - Fixed product description alignment issue for RTL.

Version 1.8.4 - Friday, 21st December 2018
- Improvement: Gravity Form Styler - Added compatibility to Select field with Enhanced User Interface.
- Improvement: Table - Improved the sorting technique.
- Improvement: Woo - Products - Added Related Products query.
- Fix: Caldera Form Styler - Radio & Checkbox inline style issue fixed.
- Fix: Post - Changed the styling of featured post in News skin for Mobile view.
- Fix: Post - Fixed Offset_to_fix issue.
- Fix: Post - Fixed styling issue of featured image when set as background.
- Fix: Post - Fixed the issue with accessing filterable tabs from URL.
- Fix: Timeline - Hide item when title & description is empty.

Version 1.8.3 - Thursday, 6th December 2018
- Improvement: Post - Added category/tags filter for taxonomy badge in Feed & News skin.
- Improvement: Video - Provided a filter for Video URL.
- Fix: Caldera Form Styler - Button alignment issue fixed.
- Fix: Modal Popup - Hide On Device setting issue fixed.
- Fix: Modal Popup - Fixed Popup scroll issue with dynamic content.
- Fix: Modal Popup - Fixed spacing issue when display on setting is set to custom.
- Fix: Modal Popup - Fixed the warning when private Vimeo video is set.
- Fix: Post - Fixed Filterable Tabs issue when the Responsive option is set.
- Fix: Video - Fixed the warning when private Vimeo video is set.

Version 1.8.2 - Wednesday, 21st November 2018
- Improvement: Image Gallery - Access filterable tabs from URL.
- Improvement: Image Gallery - Responsive support for filterable tabs.
- Improvement: Post - Access filterable tabs from URL.
- Improvement: Post - Responsive support for filterable tabs.
- Improvement: Video Gallery - Access filterable tabs from URL.
- Improvement: Video Gallery - Responsive support for filterable tabs.
- Fix: Info Box - Fixed CTA text with icon spacing issue.
- Fix: Fancy Heading - Fixed typography issue when slide animation is set.
- Fix: Gravity Form Styler - Fixed the submit button issue when conditional logic is applied.
- Fix: Modal Popup - Compatibility to Hide On Device setting when Modal is set to display Automatic.
- Fix: Modal Popup - Fixed Iframe scroll issue.
- Fix: Modal Popup - Fixed Vimeo autoplay issue.
- Fix: Post - Carousel navigation issue fixed.
- Fix: Post - Fixed carousel with single post height issue.
- Fix: Post - Fixed Post height issue in carousel layout.
- Fix: Post - Taxonomy badge category/tags issue fixed.
- Fix: Woo - Products - Fixed Product height issue in carousel layout.
- Fix: Woo - Products - Fixed the issue of Quick View layout.
- Fix: Woo - Products - Quick View of variation products issue fixed.
- Deprecated: Modal Popup - Disable Video Title option.
- Deprecated: Video - Player Title & Actions option.

Version 1.8.1 - Friday, 26th October 2018
- Fix: Caldera Form Styler - Fixed jQuery dependency issue.
- Fix: Image Gallery - Fixed Justified layout CSS conflict.
- Fix: Fancy Heading - Fixed slide animation issue.

Version 1.8.0 - Wednesday, 24th October 2018
- New: Introduced Caldera Form Styler Widget.
- Improvement: Modal Popup - Added advanced video settings for Youtube & Vimeo.
- Improvement: Modal Popup - Added dynamic support to URL fields.
- Improvement: Post - Added custom image size option.
- Improvement: Post - Provided a filter for Taxonomy Badge.
- Fix: Before After Slider - Fixed slider CSS conflict.
- Fix: Image Gallery - Fixed image carousel issue on tablet devices.
- Fix: Post - Load More pagination button hidden when no more posts to load.
- Fix: Post - Fixed the issue of excerpt length.
- Fix: Post - Added scroll to top on the click of Pagination.
- Fix: Timeline - Fixed the issue of excerpt length.
- Fix: Woo - Products - Fixed the issue of Pagination when Main Query is set.
- Fix: Woo - Products - Added scroll to top on the click of Pagination.
- Fix: Woo - Products - Products per page hidden when Main Query is enabled.
- Deprecated: Table - Deprecated Responsive Table option.

Version 1.7.3 - Thursday, 4th October 2018
- Improvement: Image Gallery - Added Justified Gallery Layout.
- Improvement: Image Gallery - Dynamic field support for images.
- Improvement: Info Box - Added hover color options to Prefix, Title & Description.
- Improvement: Video - Added dynamic support to Video URL field.
- Improvement: Video Gallery - Added dynamic support to Video URL field.
- Fix: Advanced Heading - Separator Image width issue fixed.
- Fix: Image Gallery - Fixed Navigation Arrows placement issue for RTL.
- Fix: Info Box - CTA complete box link issue with dynamic fields.
- Fix: Modal Popup - Added responsive option for Iframe height control.
- Fix: Post - Image Size options fix for Creative Feed and News skin.
- Fix: Post - Taxonomy Badge Category/Tag issue.
- Fix: Post - Pagination in Main Query fix.
- Fix: Post - Meta Categories/Tags fetching issue fix.
- Fix: Post - Image on hover properties issue when link complete box is enabled.
- Fix: Woo - Products - Fixed column settings issue for responsive view.
- Fix: Woo - Categories - Fixed CSS conflict with Astra Theme.
- Fix: Woo - Products - Woo Products order value validation in Quick view.

Version 1.7.2 - Wednesday, 19th September 2018
- Improvement: Image Gallery - Added vertical alignment option for image caption.
- Improvement: Image Gallery - Provided a filter for Filterable Tabs.
- Improvement: Post - Option to make entire blog box clickable.
- Improvement: Post - Hide Image options added.
- Improvement: Post - Image Hover options added.
- Improvement: Post - Infinite loading - On Scroll / On Click.
- Improvement: Post - Title Hover Color added.
- Improvement: Post - Provided a filter for Filterable Tabs.
- Improvement: Table - Added Heading Column Width option.
- Improvement: Table - Option to upload CSV file.
- Improvement: Video - Added Vimeo play icon in default tab of Play button.
- Improvement: Woo - Products - Added Click of Image option for Product Quick view.
- Fix: Content Toggle - Fixed heading spacing issue for RTL.
- Fix: Multi Buttons - Button text alignment issue fixed.
- Fix: Post - Infinite loading on Filterable Tabs.
- Fix: Post - Featured Post meta tag issue fixed.
- Fix: Woo - Products - Fixed product column CSS conflict with Astra theme.

Version 1.7.1 - Friday, 7th September 2018
- Improvement: Post - Added Equal Height option.
- Improvement: Post - Select Default Tab while using Filterable Tabs.
- Improvement: Post - Category / Tag selection for Taxonomy Badge option.
- Improvement: Post - Added links target options.
- Improvement: Post - Added Custom "All" text option for Filterable Tabs.
- Improvement: Post - Added WordPress Filters to change Post Meta sequence.
- Improvement: Video - Default tab for Play button to display YouTube play icon.
- Improvement: Video - Introduced Video Subscriber bar.

Version 1.7.0 - Tuesday, 4th September 2018
- New: Introduced Post Widget
- Improvement: Contact Form 7 Styler - Added default style for multi-select option.
- Improvement: Gravity Form Styler - Added a new control for Border Active Color.
- Improvement: Image Gallery - Provided a filter for carousel options.
- Improvement: Modal Popup - Provided triggers before and after the modal opens.
- Improvement: Video - Added a control to enable Double Click on mobile view.
- Improvement: Video - Filters to change default video.
- Improvement: Video Gallery - Filters to change default videos.
- Improvement: Video Gallery - Provided a filter for bulk editing category names.
- Improvement: Woo - Products - Provided trigger after the pagination AJAX calls.
- Fix: Advanced Heading - Fixed Gradient color issue with iPhone.
- Fix: Modal Popup - Click on overlay for few test cases issue fixed.
- Fix: Multi Buttons - Button icon alignment & style related issues fixed.
- Fix: Timeline - Fixed Timeline item link issue.
- Fix: Timeline - Post excerpt text issue fixed.
- Fix: W3C validations with image ALT attribute fixed.


Version 1.6.0 - Friday, 3rd August 2018
- New: Introduced Timeline Widget
- Improvement: Modal Popup - Default CSS removed.
- Improvement: Video Gallery - Filterable tabs bottom spacing changes.
- Improvement: Woo - Products - AJAX Pagination implemented.
- Improvement: Woo - Products - Main Query compatibility added.
- Fix: Gravity Form Styler - RTL issue with Submit Button fixed.
- Fix: Modal Popup - Removed conflicting control for button padding.
- Fix: Video - Fixed double tap issue for Android devices.
- Fix: Woo - Products - Multiple widgets on single page pagination issue fixed.

Version 1.5.1 - Tuesday, 24th July 2018
- New: White Label - Introduced 'wp-config.php' constant support.
- New: Keyword Search - Compatibility to keyword search for widgets in Elementor editor.
- Improvement: Gravity Form Styler - Support added for gform_pre_render action with description text.
- Improvement: Image Gallery - Applied unique classes to gallery images.
- Improvement: Modal Popup - Custom class accessible to inner wrap.
- Improvement: Video - YouTube thumbnail size selection option added.
- Improvement: Video Gallery - YouTube thumbnail size selection option added.
- Fix: Contact Form 7 Styler - Radio button color scheme issue fixed.
- Fix: Google Map - Empty custom marker case handled.
- Fix: Image Gallery - Custom Size for images issue fixed.
- Fix: Multi Buttons - W3C validations issue fixed.
- Fix: Table - W3C validations issue fixed.

Version 1.5.0 - Monday, 16th July 2018
- New: Introduced Video Gallery Widget
- New: Woo - Categories - Added Carousel layout.
- Improvement: Price List - Added responsive support for price position.
- Improvement: Video - Custom Thumbnail dynamic content compatibility fix.
- Fix: Google Map - Js console error when adding a new marker.
- Fix: Gravity Form Styler - Added support for styling of password field & description text.
- Fix: Dual Color Heading - Spacing issue with highlighted text in Elementor editor.
- Fix: Modal Popup - Custom class click issue on iOS.
- Fix: Modal Popup - Thumbnail SSL issue fixed.
- Fix: Video - Thumbnail SSL issue fixed.

Version 1.4.0 - Thursday, 28th June 2018
- New: Introduced Video Widget
- Improvement: Modal Popup - YouTube, Vimeo, Iframe optimization
- Improvement: Business Hours - Added custom HTML support to a date field.
- Improvement: Image Gallery - Default tab selection for filters option added.
- Improvement: Image Gallery - Hover overlay icon option added.
- Improvement: Google Map - Added auto center option for markers.
- Improvement: WPML compatibility added to links.
- Fix: Before After Slider - Drag drop issue in Elementor editor.
- Fix: Contact Form 7 Styler - Color scheme related notice fixed.
- Fix: Content Toggle - Display issue at initial drag-drop when Elementor's default colors are disabled and other minor bug fixes.
- Fix: Fancy Heading - Allow Fancy text with double quotes.
- Fix: Fancy Heading - Multiple words in same line issue fixes.
- Fix: Image Gallery - Carousel issue on page load.
- Fix: Image Gallery - Default tab selection option added for filters.
- Fix: Modal Popup - Typography issue for Modal Content.
- Fix: Modal Popup - Container class CSS issue for mobile devices.
- Fix: Woo - Products - Quick view image size issue.
- Fix: Woo - Products - Pagination alignment issue.
- Fix: Table - Localization of strings issue.

Version 1.3.1 - Thursday, 07th June 2018
- Improvement: WPML compatibility added
- Fix: Woo - Add To Cart - Multiple buttons on the same page redirect to cart issue

Version 1.3.0 - Monday, 04th June 2018
- New: Introduced Image Gallery
- Improvement: Google Map - Dynamic Field compatibility to Google Maps
- Improvement: Woo - Product - Title hover color added
- Fix: Gravity Form Styler - Form loading issue in the editor. Apply changes button added.
- Fix: Woo - Add To Cart - Auto redirect to cart option issue

Version 1.2.1 - Thursday, 24th May 2018
- Improvement: Google Map - Compatibility to the Chinese language
- Improvement: Price List - Responsive options improved
- Improvement: Woo - Add To Cart - Auto redirect to cart option added
- Improvement: Woo - Categories - Description hover option added
- Improvement: Woo - Product - Equal height issue
- Improvement: Woo - Product - Quick view issue for single image
- Fix: Price List - Blank URL leading to blank text issue

Version 1.2.0 - Monday, 21st May 2018
- New: Introduced Price Box
- New: Introduced Price List
- New: Introduced Table
- New: Introduced Woo - Add To Cart
- New: Introduced Woo - Categories
- New: Introduced Woo - Products ( Grid / Carousel )
- Improvement: Advanced Heading - Provided option for separator text color
- Improvement: Advanced Heading - Rewrite options for better UX
- Improvement: Gravity Form Styler - Added style for Page field of Gravity Form.
- Improvement: Info Box - Added hover animation option for normal style of Image/Icon
- Fix: Info Box - Fixed issue of hover animation for Image/Icon when link set to complete box
- Fix: Advanced Heading - Separator issue in firefox
- Fix: Contact Form 7 Styler - Overlapping field validation error message fixed
- Fix: Contact Form 7 Styler - Responsive control for button padding
- Fix: Contact Form 7 Styler - Dependency issue of active input border color option fixed
- Fix: Gravity Form Styler - Responsive control for button padding
- Fix: Modal Popup - Display Modal on Button: Button alignment issue for responsive devices fixed

Version 1.1.0 - Monday, 16th April 2018
- New: Introduced CF7 Styler
- New: Introduced Gravity Form Styler
- New: Introduced Google Map
- New: Introduced Business Hours
- New: Added option to get update notifications for beta versions
- New: Added 'uael-template' shortcode to display saved widgets, sections and pages
- New: White Label - Introduced constant 'WP_UAEL_WL' to add extra security layer
- Improvement: Modal Popup - Separated controls for Display on Custom class/ID
- Improvement: Info Box - Added image sizes option
- Improvement: White Label - Added a control to display internal help links
- Improvement: White Label - Added a control to display beta notification box

Version 1.0.0 Friday, 06th April 2018
- Fix - Modal Popup - Padding option for button fix
- Fix - Modal Popup - Issue with scroll on mobile devices

Version 1.0.0-beta.3 Wednesday, 04th April 2018
- Improvement: Elementor 2.0 compatibility, Now you can use UAEL widgets with dynamic fields
- Improvement: Before After Slider - Added Before/After label visibility options on Hover Only / Normal Only / Both
- Improvement: Before After Slider - Size options added for images
- Improvement: Modal Popup - Added padding option for button
- Fix: Content Toggle - Content 2 color & typography issue
- Fix: Licence activation issue on multisite

Version 1.0.0-beta.2 - Tuesday, 27th March 2018
- Improvement: White Label - Logo & Help settings added
- Fix: Before After Slider - Width issue on widget duplicate event
- Fix: Modal Popup - Modal doesn't close on overlay click in iOS

Version 1.0.0-beta.1 - Friday, 23rd March 2018
- New: Introduced Modal Popup
- New: Introduced Content Toggle
- New: Introduced Info Box
- New: Introduced Multi Buttons
- New: Introduced Advanced Heading
- New: Introduced Dual Color Heading
- New: Introduced Fancy Heading
- New: Introduced Before After Slider
- New: Introduced White Label Feature
